Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::experimental::views::shared_fn Struct Reference

## Synopsis of methods
constexpr shared_closure< shared_fn > | shared {}

## Public Member Functions
template<typename Rng >
shared_view< detail::decay_t< Rng > > | operator() (Rng &&rng) const

## Member Function Documentation

## ◆ operator()()

template<typename Rng >

shared_view<detail::decay_t<Rng> > ranges::experimental::views::shared_fn::operator() | ( | Rng && | rng | ) | const

Precondition
  requires `range<Rng> && (!viewable_range<Rng>)&& constructible_from<detail::decay_t<Rng>, Rng>`